#pragma once

#include "util.h"

int addSymbolInternal(char *symbol, object (*function)());
int addSymbolDefinition(char *symbol, object definition);
/* служе за различите методе дефинисања нових симбола у језику
 * враћају 1 уколико је нови симбол успешно додат, а 0 уколико није
 * (постоји симбол са истим именом) */

int symbolExists(char *symbol);
/* враћа 1 уколико симбол постоји и 0 у супротном */

object (*internalFunction(char *symbol)) (object parameters);
/* враћа показивач на функцију уколико је симбол дефинисан као интерна
 * функција, NULL уколико симбол није функција или уколико не постоји
 * */
